chiark / gitweb /
More error handling: set -e, set -o pipefail
[modbot-ulm.git] / stump / bin / report.sh
index 13138f1a2f9850159fc2f3e8c607def6e7639eb9..966d083e9de54926844e86dfc7000e3349e62d17 100755 (executable)
@@ -1,9 +1,12 @@
-#!/bin/sh
+#!/bin/bash
 # posts a nice report
 #
 # $Id: report.sh,v 1.2 2007/05/03 23:47:49 rram Exp $
 # Modified to work with GPG
 
+set -e
+set -o pipefail
+
 TODAY="`date`"
 DATE6="`date +%y%m%d`"